package net.sf.j2s.tutorial.extendedCompiler;

import net.sf.j2s.core.astvisitors.ASTScriptVisitor;
import net.sf.j2s.core.astvisitors.DependencyASTVisitor;
import net.sf.j2s.core.astvisitors.SWTDependencyASTVisitor;
import net.sf.j2s.core.compiler.IExtendedVisitor;

public class ExtendedASTScriptVisitor implements IExtendedVisitor {

	public ASTScriptVisitor getScriptVisitor() {
		return new TutorialExtendedVisitor();
	}

	public DependencyASTVisitor getDependencyVisitor() {
		return new SWTDependencyASTVisitor();
	}

}
